import { useQuery } from "@tanstack/react-query";
import { getBuiltInModulesOptions } from "@/lib/client/@tanstack/react-query.gen";

const useBuiltInModulesList = () => {
    const { data, refetch } = useQuery(getBuiltInModulesOptions());

    return {
        builtInModules: data?.items ?? [],
        refetch,
    };
};

export default useBuiltInModulesList;
